MetricSetControllerRemoveAllElementsFromMetricSet Method |
POST /MetricSet/RemoveAllElements/{id}
Removes all the elements to the metric set with the specified placement position.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("RemoveAllElements")]
public IActionResult RemoveAllElementsFromMetricSet(
Guid id,
[FromBodyAttribute] PlacementPosition placement,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("RemoveAllElements")>
Public Function RemoveAllElementsFromMetricSet (
id As Guid,
<FromBodyAttribute> placement As PlacementPosition,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"RemoveAllElements")]
IActionResult^ RemoveAllElementsFromMetricSet(
Guid id,
[FromBodyAttribute] PlacementPosition placement,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("RemoveAllElements")>]
member RemoveAllElementsFromMetricSet :
id : Guid *
[<FromBodyAttribute>] placement : PlacementPosition *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set to from the elements from. - placement
- Type: Dundas.BI.Entities.MetricSetsPlacementPosition
The placement position to remove all the elements from. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also